# module OpenSSL::ExtConfig

This module contains configuration information about the `SSL` extension, for example if socket support is enabled, or the host name TLS extension is enabled. Constants in this module will always be defined, but contain `true` or `false` values depending on the configuration of your `OpenSSL` installation.

### Constants

HAVE_TLSEXT_HOST_NAME
OPENSSL_NO_SOCK
TLS_DH_anon_WITH_AES_256_GCM_SHA384